<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.ProductSearchActivity"
    android:background="@color/light_gray">

    <SearchView
        android:id="@+id/searchProductList"
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:background="@drawable/textview_border"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"  />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerSearchText"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_marginTop="1dp"
        android:background="@color/white"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/searchProductList" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerProductSearch"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="1dp"
        android:layout_marginBottom="0dp"
        app:layout_constraintBottom_toTopOf="@id/linearLayout2"
        app:layout_constraintTop_toBottomOf="@+id/recyclerSearchText"
        app:layout_constraintVertical_bias="1.0">

    </androidx.recyclerview.widget.RecyclerView>

    <LinearLayout
        android:id="@+id/linearLayout2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent">

        <Button
            android:id="@+id/buttonBack"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:backgroundTint="@color/black"
            android:text="返回"
            android:textSize="24dp"/>

        <Button
            android:id="@+id/buttonOk"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:backgroundTint="@color/black"
            android:text="確定"
            android:textSize="24dp"/>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>